package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsBatteryGroup;

/**
 * 电池组数据Mapper接口
 *
 * @author xzzn
 * @date 2025-07-29
 */
public interface EmsBatteryGroupMapper
{
    /**
     * 查询电池组数据
     *
     * @param id 电池组数据主键
     * @return 电池组数据
     */
    public EmsBatteryGroup selectEmsBatteryGroupById(Long id);

    /**
     * 查询电池组数据列表
     *
     * @param emsBatteryGroup 电池组数据
     * @return 电池组数据集合
     */
    public List<EmsBatteryGroup> selectEmsBatteryGroupList(EmsBatteryGroup emsBatteryGroup);

    /**
     * 新增电池组数据
     *
     * @param emsBatteryGroup 电池组数据
     * @return 结果
     */
    public int insertEmsBatteryGroup(EmsBatteryGroup emsBatteryGroup);

    /**
     * 修改电池组数据
     *
     * @param emsBatteryGroup 电池组数据
     * @return 结果
     */
    public int updateEmsBatteryGroup(EmsBatteryGroup emsBatteryGroup);

    /**
     * 删除电池组数据
     *
     * @param id 电池组数据主键
     * @return 结果
     */
    public int deleteEmsBatteryGroupById(Long id);

    /**
     * 批量删除电池组数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsBatteryGroupByIds(Long[] ids);

    // 批量插入
    void batchInsertGroupData(List<EmsBatteryGroup> emsBatteryGroups);
}
